// src/services/db/index.db.ts
import { UserRepository } from './user.db';
import { withTransaction } from './connection.db';
import { FlyerRepository } from './flyer.db';
import { AddressRepository } from './address.db';
import { ShoppingRepository } from './shopping.db';
import { PersonalizationRepository } from './personalization.db';
import { RecipeRepository } from './recipe.db';
import { NotificationRepository } from './notification.db';
import { BudgetRepository } from './budget.db';
import { GamificationRepository } from './gamification.db';
import { AdminRepository } from './admin.db';

const userRepo = new UserRepository();
const flyerRepo = new FlyerRepository();
const addressRepo = new AddressRepository();
const shoppingRepo = new ShoppingRepository();
const personalizationRepo = new PersonalizationRepository();
const recipeRepo = new RecipeRepository();
const notificationRepo = new NotificationRepository();
const budgetRepo = new BudgetRepository();
const gamificationRepo = new GamificationRepository();
const adminRepo = new AdminRepository();

export { userRepo, flyerRepo, addressRepo, shoppingRepo, personalizationRepo, recipeRepo, notificationRepo, budgetRepo, gamificationRepo, adminRepo, withTransaction };